Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1239757 - par2cmdline: FTBFS in rawhide
Summary: par2cmdline: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: par2cmdline
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 21:10 UTC by Dennis Gilmore
Modified: 2015-11-30 02:20 UTC (History)
2 users (show)

Fixed In Version: par2cmdline-0.6.14-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-30 02:20:50 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2015-07-05 21:10 UTC, Dennis Gilmore
no flags Details
root.log (deleted)
2015-07-05 21:10 UTC, Dennis Gilmore
no flags Details
state.log (deleted)
2015-07-05 21:10 UTC, Dennis Gilmore
no flags Details

Description Dennis Gilmore 2015-07-05 21:10:31 UTC
Your package par2cmdline failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10122635

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 21:10:33 UTC
Created attachment 1047586 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 21:10:33 UTC
Created attachment 1047587 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 21:10:34 UTC
Created attachment 1047588 [details]
state.log

Comment 4 Ralf Corsepius 2015-07-10 16:42:55 UTC
Erik are you still maintaining this package and/or did you quit fedora?

Also, there seem to be a new fork of the old par2cmdline-0.4 on github, which seems to be compiling without problems and seems to be actively maintained.

c.f. https://github.com/Parchive/par2cmdline

I have an rpm.spec of this version pending.

Comment 5 Erik van Pienbroek 2015-07-10 17:01:32 UTC
Yes I'm still here. I'm aware of the FTBFS and of the other forks. This is also being discussed in bug 1221165 and bug 1197560 where I've asked the bug reporters to test an updated build which I've prepared some time ago and is based on the other forks. Unfortunately I still haven't heard back from these bug reporters or upstream (https://github.com/Parchive/par2cmdline/issues/27#issuecomment-76959794) and the performance isn't ideal with the forked versions so I haven't made the final switch yet

Comment 6 Ralf Corsepius 2015-07-10 17:24:53 UTC
(In reply to Erik van Pienbroek from comment #5)
Thanks for the promptly response. In this case, I won't touch this package.

Should you be interested in my package, I've uploaded my local package to
https://corsepiu.fedorapeople.org/packages/par2cmdline-0.6.13-0.fc23.src.rpm

Feel free to do whatever you want to do with it ;)

Comment 7 Jan Kurik 2015-07-15 13:33:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 8 Fedora Update System 2015-10-18 22:47:29 UTC
par2cmdline-0.6.14-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d36d127ea7

Comment 9 Fedora Update System 2015-10-19 16:25:25 UTC
par2cmdline-0.6.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update par2cmdline'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d36d127ea7

Comment 10 Fedora Update System 2015-10-28 21:25:33 UTC
nntpgrab-0.7.2-12.fc23 par2cmdline-0.6.14-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d36d127ea7

Comment 11 Fedora Update System 2015-11-01 06:59:52 UTC
nntpgrab-0.7.2-12.fc23, par2cmdline-0.6.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nntpgrab par2cmdline'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d36d127ea7

Comment 12 Fedora Update System 2015-11-30 02:20:35 UTC
nntpgrab-0.7.2-12.fc23, par2cmdline-0.6.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.